ROBODoc(1)

NAME
ROBODoc - Extract documentation from source code.

SYNOPSIS
robodoc --src <source> --doc <destination> [options]

DESCRIPTION
ROBODoc extracts specially formated documentation from the source code. It allows you to maintain a program and its documentation in a single file.

OPTIONS

-c  Show the copyright message.

--version
    Print version information and exit.

--doc
    Define the documentation directory or documentation file. A directory should start with a '/' or a './' and should not include any '..'.

--src
    Define the source directory or source file. A directory should start with a '/' or a './' and should not include any '..'.

--ascii
    Generate documentation in ASCII format.

--html
    Generate documentation in HTML format.

--dbxml
    Generate documentation in XML DocBook format.

--latex
    Generate documentation in LaTeX format.

--rtf
    Generate documentation in RTF format.

--index
    Create an additional master index file.

--multidoc
    Store all documentation in seperate files.

--singledoc
    Store all documentation in a single file.

--singlefile
    Generate a single document from a single file

--cmode
    Handy defaults for C

--cobol
    Add hyphens to identifiers, breaks cmode indexing.
    The complete list of options can be found in the HTML documentation. (Reference at the end of this page.)

EXAMPLES
    robodoc --src ./ --doc myproject --singledoc --html
Creates a document called myproject.html from all source files in the current directory.
    robodoc --src ./myproject/
          --doc ./myprojectdoc --multidoc --html --index
Creates seperate documents for all the source files found in the directory ./myproject they are stored in the directory ./myprojectdoc. A master index file called ./myprojectdoc/masterindex.html is also created. This provides links to all the individual files.

COPYRIGHT
Copyright © 1994-2008 Frans Slothouber, Petteri Kettunen, Gergely Budai and Jacco van Weert.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

AUTHORS
Frans Slothouber, Jacco van Weert, Petteri Kettunen, Bernd Koesling, Thomas Aglassinger, Anthon Pang, Stefan Kost, David Druffner, Sasha Vasko, Nathan Prewitt, Gergely Budai and Dennis Stampfer.

SEE ALSO
The documentation in HTML format that comes with ROBODoc. Latest version can be found from http://www.xs4all.nl/~rfsber/Robo/ or from http://sourceforge.net/projects/robodoc/. robohdrs(1)